Bug 519259 - Change "[ -x /etc/init.d/functions]" to "[ -f /etc/init.d/functions]" . . .
Summary: Change "[ -x /etc/init.d/functions]" to "[ -f /etc/init.d/functions]" . . .
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: Execution Management (start/stop/restart)
Version: 1.2
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 445047
TreeView+ depends on / blocked
 
Reported: 2009-08-25 20:57 UTC by Matthew Harmsen
Modified: 2015-01-04 23:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-04 20:37:21 UTC


Attachments (Terms of Use)
Simply check for "file existence" rather than "file execution" (9.05 KB, patch)
2009-08-25 21:14 UTC, Matthew Harmsen
no flags Details | Diff
Simply check for "file existence" rather than "file execution" (spec files) (5.68 KB, patch)
2009-08-25 21:14 UTC, Matthew Harmsen
no flags Details | Diff
Simply check for "file existence" rather than "file execution" (10.20 KB, patch)
2009-08-25 23:47 UTC, Matthew Harmsen
no flags Details | Diff

Description Matthew Harmsen 2009-08-25 20:57:54 UTC
It was recently discovered that Fedora removed the execute permission off of the "/etc/init.d/functions" file, and various start/stop scripts checked for the existence of a an executable file called "/etc/init.d/functions".

Since this file is only ever "sourced", it is believed that we can safely change these checks from "[ -x /etc/init.d/functions ]" to "[ -f /etc/init.d/functions]".

Comment 1 Matthew Harmsen 2009-08-25 20:59:13 UTC
This change was apparently made at the end of the Fedora 10 cycle.

Comment 2 Matthew Harmsen 2009-08-25 21:14:10 UTC
Created attachment 358639 [details]
Simply check for "file existence" rather than "file execution"

Comment 3 Matthew Harmsen 2009-08-25 21:14:51 UTC
Created attachment 358640 [details]
Simply check for "file existence" rather than "file execution" (spec files)

Comment 4 Matthew Harmsen 2009-08-25 23:47:44 UTC
Created attachment 358650 [details]
Simply check for "file existence" rather than "file execution"

Comment 5 Ade Lee 2009-08-26 03:51:04 UTC
alee +

Comment 6 Matthew Harmsen 2009-08-26 17:51:11 UTC
% cd pki/base

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ca/shared/etc/init.d/httpd
M      tks/shared/etc/init.d/httpd
M      ra/etc/init.d/httpd
M      ocsp/shared/etc/init.d/httpd
M      tps/etc/init.d/httpd
M      kra/shared/etc/init.d/httpd

% svn commit
Sending        base/ca/shared/etc/init.d/httpd
Sending        base/kra/shared/etc/init.d/httpd
Sending        base/ocsp/shared/etc/init.d/httpd
Sending        base/ra/etc/init.d/httpd
Sending        base/tks/shared/etc/init.d/httpd
Sending        base/tps/etc/init.d/httpd
Transmitting file data ......
Committed revision 781.

% cd pki/dogtag

% svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      ca/pki-ca.spec
M      tks/pki-tks.spec
M      ra/pki-ra.spec
M      ocsp/pki-ocsp.spec
M      tps/pki-tps.spec
M      kra/pki-kra.spec

% svn commit
Sending        dogtag/ca/pki-ca.spec
Sending        dogtag/kra/pki-kra.spec
Sending        dogtag/ocsp/pki-ocsp.spec
Sending        dogtag/ra/pki-ra.spec
Sending        dogtag/tks/pki-tks.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data ......
Committed revision 782.


Note You need to log in before you can comment on or make changes to this bug.